## dcl-ffc5 5.3.1-4

=== src/env1/Makefile ===
#
#       Makefile for env1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#       

include ../../Mkinclude

SUBDIRS		= bitmap cl2tnmap colormap fonts mapdata


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making database for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/math1/vralib/Makefile ===
#
#       Makefile for vralib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBFSRCS	= vrfna.f vrfna0.f vrfna1.f vrinc.f vrinc0.f vrinc1.f \
		  vrfct.f vrfct0.f vrfct1.f vrcon.f vrcon0.f vrcon1.f \
		  vrset.f radd.f radd0.f radd1.f rmlt.f rmlt0.f rmlt1.f \
		  rset.f rset0.f rset1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfna.o vrfna0.o vrfna1.o vrinc.o vrinc0.o vrinc1.o \
		  vrfct.o vrfct0.o vrfct1.o vrcon.o vrcon0.o vrcon1.o \
		  vrset.o radd.o radd0.o radd1.o rmlt.o rmlt0.o rmlt1.o \
		  rset.o rset0.o rset1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

## dcl-ffc5 5.3.1-2

=== debian/changelog ===
dcl-ffc5 (5.3.1-2) unstable; urgency=low

  * Package name is changed. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 20 Jul 2005 13:06:37 +0900

dcl-ffc5 (5.3.1-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 14 Jul 2005 12:57:16 +0900

dcl-ffc5 (5.3-2) unstable; urgency=low

  *  xlibs-dev is added as Depends package.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 22 Mar 2005 16:25:58 +0900

dcl-ffc5 (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 18 Nov 2004 20:55:09 +0900

dcl-ffc5 (5.2-7sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:06:05 +0900

dcl-ffc5 (5.2-8) unstable; urgency=low

  * Intel Fortran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 22:26:06 +0900

dcl-ffc5 (5.2-7) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:04:09 +0900	
  * Fujitsu Fortran Compiler ver.4 support.  	

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 20:39:45 +0900
	
  * Intel Fortran Compiler ver.7 support.
  * Fujitsu Fortran Compiler ver.3 support  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  7 Jan 2003 15:35:34 +0900

dcl-ffc5 (5.2-6) unstable; urgency=low

  * dvlop/pslib/dcl-psrmcm bug fixed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  7 Jun 2002 19:24:34 +0900

dcl-ffc5 (5.2-5) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 02:56:00 +0900

dcl-ffc5 (5.2-4) unstable; urgency=low

  * Utilities, demo programs are separated as a different package.
  * Dependency of ffc(Fujitsu Fortran compiler) removed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 12:25:53 +0900

dcl-ffc5 (5.2-3) unstable; urgency=low

  * Names of the binaries changed to treat different compilers.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:47 +0900

dcl-ffc5 (5.2-2) unstable; urgency=low

  * Include dvlop/pslib to the installed binary package.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:41 +0900

dcl-ffc5 (5.2-1) unstable; urgency=low

  * Initial Release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  1 Nov 2000 16:18:59 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dcl-ffc5
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-ffc5
Architecture: any
Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0)
Suggests: ffc (=5.0) | ffcpara (=5.0), libgtk2.0-0, libgtk2.0-dev
Description: GFD-DENNOU Club Library (DCL) compiled by Fujitsu Fortran & C Package ver.5.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc5, dcl-ffc4, dcl-g77, dcl-ifc8
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

### Fujitsu Fortran & C compiler #######################################
#
EXT=ffc5
FC=frt
CC=fcc

### Intel Fortran compiler##############################################
### for ver.6, ver.7, and ver. 7.1
#EXT=ifc7
#FC=ifc
#CC=gcc
#FFLAGS=-O -Vaxlib -Qoption,ld,-Bdynamic
#
### for ver8 
#EXT=ifc8
#FC=ifort
#CC=gcc
#FFLAGS=-O -Qoption,ld,-Bdynamic

### GNU Fortran 77 compiler#############################################
#
#EXT=g77
#FC=g77
#CC=gcc

### Package and prefix name ############################################
# 
PACKAGE=dcl-$(EXT)-5.3.1
UTILPACKAGE=dcl-util
PREFIXLIB=dcl-5.3.1-$(EXT)

########################################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	(export CC=$(CC) ; export FC=$(FC) ; export FFLAGS='$(FFLAGS)' ; ./configure --prefix=/usr/lib/$(PREFIXLIB))
	

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/dcl.sgml > dcl.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp 
	rm -f build-indep-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-$(EXT)/usr/lib/$(PREFIXLIB)

	dh_movefiles --sourcedir=debian/dcl-$(EXT)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_installdirs -p$(UTILPACKAGE) -Pdebian/dcl-util usr/bin
	(cd dvlop/pslib && $(MAKE) install prefix=../../debian/dcl-util/usr)
	# old pslib is moved (2005/07/20 ODAKA Masatsugu)
	mv dvlop/pslib .
	mv dvlop/old-pslib .
	dh_installdocs -p$(UTILPACKAGE) -Pdebian/dcl-util demo dvlop
	# old pslib is moved back (2005/07/20 ODAKA Masatsugu)
	mv pslib dvlop
	mv old-pslib dvlop
	dh_installdeb -p$(UTILPACKAGE) -Pdebian/dcl-util
	dpkg-gencontrol -isp -p$(UTILPACKAGE) -Pdebian/dcl-util
	chown -R root.root debian/dcl-util
	chmod -R go=rX debian/dcl-util
	dpkg --build debian/dcl-util ..

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_link usr/lib/$(PREFIXLIB)/bin/dclfrt  usr/bin/dclfrt.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclcc   usr/bin/dclcc.$(EXT)   \
                usr/lib/$(PREFIXLIB)/bin/dcldate usr/bin/dcldate.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclexec usr/bin/dclexec.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltone usr/bin/dcltone.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclver  usr/bin/dclver.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclclr  usr/bin/dclclr.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dcldbs  usr/bin/dcldbs.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclfont usr/bin/dclfont.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclpara usr/bin/dclpara.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltrf  usr/bin/dcltrf.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/repsl   usr/bin/repsl.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclps2kdraw   usr/bin/dclps2kdraw.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpscat      usr/bin/dclpscat.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfix      usr/bin/dclpsfix.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfont     usr/bin/dclpsfont.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmargin   usr/bin/dclpsmargin.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmerge    usr/bin/dclpsmerge.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsnup      usr/bin/dclpsnup.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrmcm     usr/bin/dclpsrmcm.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrot      usr/bin/dclpsrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsselect   usr/bin/dclpsselect.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsseperate usr/bin/dclpsseperate.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsunrot    usr/bin/dclpsunrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsline     usr/bin/dclpsline.$(EXT)  
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep 
.PHONY: build clean binary-indep binary-arch binary install

## dcl-ffc5 5.3.1-3

=== debian/changelog ===
dcl-ffc5 (5.3.1-3) unstable; urgency=low

  * GCC is specified as a C compiler. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 21 Jul 2005 10:52:11 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: dcl-ffc5
 Architecture: any
-Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0)
-Suggests: ffc (=5.0) | ffcpara (=5.0), libgtk2.0-0, libgtk2.0-dev
+Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0), libgtk2.0-dev
+Suggests: ffc (=5.0) | ffcpara (=5.0)
 Description: GFD-DENNOU Club Library (DCL) compiled by Fujitsu Fortran & C Package ver.5.
  DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
  It contains following libraries.

## dcl-ffc5 5.3.1-4

=== debian/changelog ===
dcl-ffc5 (5.3.1-4) unstable; urgency=low

  * Suggest package list in dcl-util package is modified.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon,  8 Aug 2005 14:54:11 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: dcl-util
 Architecture: all
-Suggests: dcl-ffc5, dcl-ffc4, dcl-g77, dcl-ifc8
+Suggests: dcl-ffc5 | dcl-g77 | dcl-ifc8.1
 Description: Utilities for GFD-DENNOU Club Library (DCL).
  Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #
 EXT=ffc5
 FC=frt
-CC=fcc
+CC=gcc
 
 ### Intel Fortran compiler##############################################
 ### for ver.6, ver.7, and ver. 7.1
